From c30092f8a3c9aa05df136796993df672084aac8b Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 19 2024 00:05:33 +0000
Subject: [PATCH 121/220] fix (all)


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 5e8ff9d..307d159 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -56,7 +56,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 6eddf33..fb85906 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -63,7 +63,7 @@ Requires:       cosmic-panel
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-applets-%{ver} -p1 -a1
+%autosetup -n cosmic-applets-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 0a1bcd1..44ca2ef 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -48,7 +48,7 @@ Requires:       cosmic-session
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-bg-%{ver} -p1 -a1
+%autosetup -n cosmic-bg-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index e16c7b3..a4965c6 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -66,7 +66,7 @@ Recommends:     cosmic-session
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-comp-%{ver} -p1 -a1
+%autosetup -n cosmic-comp-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index c8fc814..e4776f0 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -60,7 +60,7 @@ BuildRequires:  git-core
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 483157e..4a60b5b 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -59,7 +59,7 @@ BuildRequires:  git-core
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 8df9278..4bb3680 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -65,7 +65,7 @@ Requires:       cosmic-comp
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-greeter-%{ver} -p1 -a1
+%autosetup -n cosmic-greeter-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index f59ff38..052f3f5 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -61,7 +61,7 @@ Requires:       pop-launcher
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 7ebf982..3d621df 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -54,7 +54,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-notifications-%{ver} -p1 -a1
+%autosetup -n cosmic-notifications-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 16ca145..1af704e 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -59,7 +59,7 @@ BuildRequires:  make
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 4de539c..b0001ea 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -51,7 +51,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-panel-%{ver} -p1 -a1
+%autosetup -n cosmic-panel-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 72eb296..727bf66 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -42,7 +42,7 @@ Cosmic-randr command line interface.}
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-randr-%{ver} -p1 -a1
+%autosetup -n cosmic-randr-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index a45238c..ba8d328 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -45,7 +45,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 79cee14..7ebd239 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -71,7 +71,7 @@ The session manager for the COSMIC desktop environment.}
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 6ece492..47288ab 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -58,7 +58,7 @@ Requires:       acpid
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 55b5dd8..c2be155 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -59,7 +59,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-settings-%{ver} -p1 -a1
+%autosetup -n cosmic-settings-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 7d2f579..0a4f3ed 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -58,7 +58,7 @@ Requires:       flatpak-libs
 %description %{_description}
 
 %prep
-%autosetup -n cosmic-store-%{ver} -p1 -a1
+%autosetup -n cosmic-store-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 52d13a5..4ce5991 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -59,7 +59,7 @@ BuildRequires:  git-core
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index b6f78f0..3b5af4b 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -64,7 +64,7 @@ Requires:       cosmic-comp
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 22f33ca..d2d5ed6 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -57,7 +57,7 @@ Requires:       fd-find
 %description %{_description}
 
 %prep
-%autosetup -n pop-launcher-%{ver} -p1 -a1
+%autosetup -n pop-launcher-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 49aac4e..422fa10 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -63,7 +63,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{ver} -p1 -a1
+%autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
 

